Loading...
Searching...
No Matches
tiny_dnn::core::OpKernelContext Class Reference

## Classes

struct | OpParams

## Public Member Functions

| OpKernelContext (const std::vector< tensor_t * > &in_data, std::vector< tensor_t * > &out_data)
| OpKernelContext (const std::vector< tensor_t * > &in_data, const std::vector< tensor_t * > &out_data, std::vector< tensor_t * > &out_grad, std::vector< tensor_t * > &in_grad)
tensor_t & | input (const int idx) const
tensor_t & | output (const int idx) const
tensor_t & | input_grad (const int idx) const
tensor_t & | output_grad (const int idx) const
void | setParams (Params *params)
Params * | params () const
void | setParallelize (const bool parallelize)
bool | parallelize () const
void | setDevice (Device *device)
Device * | device () const
void | setLayer (layer *layer)
layer * | Layer () const
backend_t | engine () const
void | setEngine (const backend_t engine)

The documentation for this class was generated from the following file:

- tiny_dnn/core/framework/op_kernel.h